MessageDestinationRef (Apache Tomcat 9.0.119 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: MessageDestinationRef

# Class MessageDestinationRef

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase
org.apache.tomcat.util.descriptor.web.MessageDestinationRef

All Implemented Interfaces:
  `Serializable, Injectable`

public class MessageDestinationRef extends ResourceBase

Representation of a message destination reference for a web application, as represented in a `<message-destination-ref>` element in the deployment descriptor.

Since:
  Tomcat 5.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageDestinationRef()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getLink()`
  Get the link.
  `String`
  `getUsage()`
  Get the usage.
  `int`
  `hashCode()`
  `void`
  `setLink(String link)`
  Set the link.
  `void`
  `setUsage(String usage)`
  Set the usage.
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class ResourceBase

  `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MessageDestinationRef

    public MessageDestinationRef()
    Default constructor.

- ## Method Details

  - ### getLink

    public String getLink()
    Get the link.
    Returns:
      the link

  - ### setLink

    public void setLink(String link)
    Set the link.
    Parameters:
      `link` - the link

  - ### getUsage

    public String getUsage()
    Get the usage.
    Returns:
      the usage

  - ### setUsage

    public void setUsage(String usage)
    Set the usage.
    Parameters:
      `usage` - the usage

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ResourceBase`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `ResourceBase`